Skip to content

List project outbound email identities

GET
/projects/{id}/email-identities

Returns masked project-owned email addresses with SMTP settings. Requires owner/admin and Email Pro feature access.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Project ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"identities": [
  
  
{
  
  
  
"_id": "string",
  
  
  
"project": "string",
  
  
  
"owner": "string",
  
  
  
"host_id": "string",
  
  
  
"name": "string",
  
  
  
"email": "string",
  
  
  
"signature": "string",
  
  
  
"smtp": {
  
  
  
  
"host": "string",
  
  
  
  
"port": 0,
  
  
  
  
"auth_user": "string",
  
  
  
  
"auth_password_configured": true,
  
  
  
  
"tls": true,
  
  
  
  
"ssl": true
  
  
  
},
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI